From 365b8343d8f882926d817b81243990ff66945d7c Mon Sep 17 00:00:00 2001
From: Olivier Hainque <hainque@adacore.com>
Date: Fri, 28 Jan 2022 16:34:50 +0000
Subject: [PATCH 03/18] undef offsetof before defining it in stddef.h

This prevents redefinition warnings by -Wsystem-headers on
OSses where system headers happen to provide a definition of
their own, such as VxWorks.

2022-02-15  Olivier Hainque  <hainque@adacore.com>

gcc/
	* ginclude/stddef.h: #undef offsetof before #define.
---
 gcc/ginclude/stddef.h | 1 +
 1 file changed, 1 insertion(+)

diff --git a/gcc/ginclude/stddef.h b/gcc/ginclude/stddef.h
index 3d29213e8f1..2767edf51de 100644
--- a/gcc/ginclude/stddef.h
+++ b/gcc/ginclude/stddef.h
@@ -412,6 +412,7 @@ typedef __WINT_TYPE__ wint_t;
 #ifdef _STDDEF_H
 
 /* Offset of member MEMBER in a struct of type TYPE. */
+#undef offsetof		/* in case a system header has defined it. */
 #define offsetof(TYPE, MEMBER) __builtin_offsetof (TYPE, MEMBER)
 
 #if (defined (__STDC_VERSION__) && __STDC_VERSION__ >= 201112L) \
-- 
2.25.1

